Determin if buffer enabled

- « SeasLog::getBuffer

- SeasLog::getDatetimeFormat »

- PHP Manual
- SeasLog
- Determin if buffer enabled

# SeasLog::getBufferEnabled

(PECL seaslog >=1.0.0)

SeasLog::getBufferEnabled — Determin if buffer enabled

### Description

public static SeasLog::getBufferEnabled(): bool

Result join seaslog.use_buffer and seaslog.buffer_disabled_in_cli.

### Parameters

This function has no parameters.

### Return Values

Return TRUE on seaslog.use_buffer is true. If switch seaslog.buffer_disabled_in_cli on, and running in cli, seaslog.use_buffer setting will be discarded, Seaslog write to the Data Store IMMEDIATELY.

### Examples

Example #1 SeasLog::getBufferEnabled() example

    <?php

    var_dump(SeasLog::getBufferEnabled());

    ?>

The above example will output something similar to:

    bool(false)

### See Also

- seaslog.use_buffer
- seaslog.buffer_size
- seaslog.buffer_disabled_in_cli
- SeasLog::getBuffer() - Get the logs buffer in memory as array
- SeasLog::flushBuffer() - Flush logs buffer, dump to appender file, or send to remote api with tcp/udp